package com.yeejoin.amos.boot.module.common.api.service;

import com.yeejoin.amos.boot.module.common.api.dto.DutyPersonDto;

import java.util.List;
import java.util.Map;

/**
 * @author DELL
 */
public interface IDutyPersonService extends IDutyCommonService {
    /**
     * 保存
     *
     * @param dutyPersonDto 业务对象
     * @return List<DutyPersonDto>
     */
    DutyPersonDto save(DutyPersonDto dutyPersonDto);


    /**
     * 更新
     *
     * @param instanceId    实例id
     * @param dutyPersonDto 业务对象
     * @return List<DutyCarDto>
     */
    DutyPersonDto update(Long instanceId, DutyPersonDto dutyPersonDto);

    /**
     * 根据区域ID 查询此时该区域值班人员 新需求 提供根据区域ID 获取值班人员 by kongfm 2021-09-15
     * @param dutyAreaId
     * @return
     */
    List<DutyPersonDto> findByDutyAreaId(Long dutyAreaId);

    List<Map<String, Object>> queryByCompanyId(List<String> bizNames);

    List<Map<String, Object>> queryByCompanyNew(String bizOrgName);
}
